### Method

# Soup Server set_tls_auth_mode

#### Declaration [src]

    void
    soup_server_set_tls_auth_mode (
      SoupServer* server,
      GTlsAuthenticationMode mode
    )

#### Description [src]

Sets `server`‘s `GTlsAuthenticationMode` to use for SSL/TLS client authentication.

Sets property | `Soup.Server:tls-auth-mode`

#### Parameters

`mode`

  Type: `GTlsAuthenticationMode`

  A `GTlsAuthenticationMode`.